Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
List of all members
testing::internal::IsAProtocolMessage< T > Struct Template Reference
Inheritance diagram for testing::internal::IsAProtocolMessage< T >:

## Additional Inherited Members
Public Types inherited from testing::internal::bool_constant< ImplicitlyConvertible< const T *, const ::ProtocolMessage * >::value||ImplicitlyConvertible< const T *, const ::proto2::Message * >::value >
typedef bool_constant< bool_value > | type
Static Public Attributes inherited from testing::internal::bool_constant< ImplicitlyConvertible< const T *, const ::ProtocolMessage * >::value||ImplicitlyConvertible< const T *, const ::proto2::Message * >::value >
static const bool | value

## Detailed Description

### template<typename T>
struct testing::internal::IsAProtocolMessage< T >

Definition at line 903 of file gtest-internal.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-internal.h